org.apache.cassandra.index

## Class SecondaryIndexBuilder

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.index.SecondaryIndexBuilder

- Direct Known Subclasses:
    CollatedViewIndexBuilder

      public abstract class SecondaryIndexBuilder
      extends CompactionInfo.Holder

  Manages building an entire index from column family data. Runs on to compaction manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecondaryIndexBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `build()`

    - ### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

      `getCompactionInfo, isStopRequested, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecondaryIndexBuilder

          public SecondaryIndexBuilder()

  - ### Method Detail

    - #### build

          public abstract void build()

Copyright © 2018 The Apache Software Foundation